version: '3'
services:
  gp2i:
    image: registry.gitlab.com/yorkcs/batman/gp2i-grpc
    environment:
      - GP2_FLAGS=-f -m -q
      - GP2_COMPILER_TIMEOUT=30
      - GP2_PROGRAM_TIMEOUT=30
  gp2c:
    image: registry.gitlab.com/yorkcs/batman/gp2c-grpc
    environment:
      - GP2_FLAGS=-m
      - GP2_COMPILER_TIMEOUT=30
  gp2d:
    image: registry.gitlab.com/yorkcs/batman/gp2d-grpc
  http:
    build:
      context: .
    ports:
      - "80:80"
    links:
      - gp2i
      - gp2c
      - gp2d
    environment:
      - GP2I_HOST=gp2i
      - GP2C_HOST=gp2c
      - GP2D_HOST=gp2d
